#!/bin/bash

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#
#         2-D Flowband M.W.E          #
#           Andrew Nolan              #
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

# Make the .geo from input .dat file
# python Mesh/Makegeo.py -p ./Data/BedTopo.dat -o Mesh/south_glacier.geo -dx 50

# Make the .msh file from the .geo
gmsh ./Mesh/south_glacier.geo -1 -2

# Move a copy of the .msh file to top dir
cp ./Mesh/south_glacier.msh ./

# Make the Elmer compatiable grid
ElmerGrid 14 2 south_glacier.msh -autoclean

# keep top dir clean by getting rid of .msh files
rm south_glacier.msh

# Do the model run!
ElmerSolver Stokes_diagnostic.sif > MWE.log
